Airtime & Data API
v
Free Plan Available
3 endpoints
Purchase airtime and data bundles for all Nigerian networks. MTN, Airtel, Glo, 9mobile supported.
Endpoints
POST
/topup
Purchase airtime for a phone number
/min
POST
/data
Purchase data bundle for a phone number
/min
GET
/data/plans
Get available data bundles for a network
/min
Quick Start
curl -X POST "https://gateway.africoders.com/airtime/send" \
-H "X-API-Key: sk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{"to": "+2348012345678", "message": "Hello!"}'
$response = Http::withHeaders([
'X-API-Key' => 'sk_live_your_api_key'
])->post('https://gateway.africoders.com/airtime/send', [
'to' => '+2348012345678',
'message' => 'Hello!'
]);
const response = await fetch('https://gateway.africoders.com/airtime/send', {
method: 'POST',
headers: {
'X-API-Key': 'sk_live_your_api_key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
to: '+2348012345678',
message: 'Hello!'
})
});
Subscribe
API Info
- Version
- v
- Base URL
gateway.africoders.com/airtime- Category
- Fintech
- Endpoints
- 3